Update Conversation Status (M2M)
Update a Conversation's status, setting ended_at when the run has finished (status in completed/failed). Authenticated with a BundleAccessToken for the SAME deployment the target Conversation belongs to.
Authorization
BundleAccessToken AuthorizationBearer <token>
In: header
Path Parameters
conversation_id*Conversation Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/bundler/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "status": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "run_id": "string", "source": "string", "status": "string", "started_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z"}Empty
Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}